function d = compare_template(x,y)
% d = compare_template(x,y)
% x is image, y is template

x = double(x);
y = double(y);

x_sq = conv2(x.^2, ones(size(y)), 'same');
y_sq = sum(sum(y.^2));

y_flip = flipud(fliplr(y));
xy = conv2(x, y_flip, 'same');

d = x_sq - 2*xy + y_sq;
