function [pU,pV] = prob_UV_given_Y(Y,gamma,eta)
% [pU,pV] = prob_UV_given_Y(Y,gamma,eta)

% Author: David Ross, Dec. 2005
% $Id: prob_UV_given_Y.m,v 1.2 2006/10/04 22:41:34 dross Exp $

% new version of Y
rr = [Y(1:end-1).rr];
ss = [Y.ss];

global SOFTMAX_MSG_PRINTED
if isempty(SOFTMAX_MSG_PRINTED)
    disp('using softmax instead of sigmoid for the U''s');
    SOFTMAX_MSG_PRINTED = 1;
end
% pU = sigmoid(gamma'*rr);
pU = softmax(gamma'*rr);
% pV = sigmoid(eta'*ss); % @FULL_ETA
o = ones(1,length(Y)); % @SPARSE_ETA
pV = sigmoid((eta(1,:)'*o).*ss(1:end-1,:) + eta(2,:)'*o); % @SPARSE_ETA

