function theta = logistic_regression(X,labels,penalty,negfactor)

error(nargchk(2,4,nargin));

warning('doesn''t work yet');

if ~exist('penalty') | isempty(penalty)
    penalty = 1;
end

if ~exist('negfactor') | isempty(negfactor)
    negfactor = 1;
end

X = [X; ones(1,size(X,2))];
theta = randn(size(X,1),1);

options = optimset('fminunc');
options = optimset(options, 'GradObj','on', ...
    'DerivativeCheck','on', 'Diagnostics','off', ...
    'Display', 'off', 'LargeScale', 'off');
[theta,FVAL,EXITFLAG,OUTPUT] = ...
    fminunc(@err_and_grad, theta, options, labels, X, penalty, negfactor);

%////////////////////////////////////////////////////////////

function [e,g] = err_and_grad(theta,labels,X,penalty,negfactor)

mu = logistic(theta'*X);

e = - sum(labels .* log(mu+eps) + negfactor*(1-labels).*log(1-mu+eps)) ...
    + penalty/2 * sum(theta.^2);
g =  -X*(labels .* (1-mu) - negfactor * mu .*(1-labels))' ...
    + penalty*theta;