function [basis, coeffs] = dokmeans(data, K)
% [basis, coeffs] = dokmeans(data, K)
% Do kmeans clustering of the columns of data, using the kmeans routine
% from netlab.

N = size(data,2);
select = randperm(N);
select = select(1:K);
    
options = zeros(14);
options(1) = 1; % display progress
if K > 1
    options(14) = 100;
else
    options(14) = 1;
end
    
[basis, options, coeffs, errlog] = kmeans(data(:,select)', data', options);

basis = basis';
[junk, coeffs] = max(coeffs');

