function [h] = plotEllipse(mu,covar,colorChar)
% [h] = plotEllipse(mu,covar,colorChar)

t = -pi:.01:pi;
k = length(t);
x = 1*sin(t);
y = 1*cos(t);

[vv, dd] = eig(covar);

A = real((vv * sqrt(dd))');
z = [x' y'] * A;

hold on;
plot(z(:,1)+mu(1),z(:,2)+mu(2),colorChar);
h = plot(mu(1),mu(2),strcat(colorChar,'.'));
