function [Trans,dd] = T_matrices
% function [Trans,dd] = T_matrices

% manually generated

D = VALUE_OF_D;
Trans = zeros(D,D,5);
block = [1 1 0; 0 1 1; 0 0 1];

% fly
Trans(:,:,1) = kron(eye(2), block);
dd(:,1) = zeros(D,1);

% bounce
Trans(1:3,1:3,2) = block;
Trans(4:6,4:6,2) = [1 -1 0; 0 -1 -1; 0 0 -1];
dd(:,2) = zeros(D,1);

% roll
Trans(1:3,1:3,3) = block;
Trans(4,4,3) = 1;
dd(:,3) = zeros(D,1);

% zemel
Trans(:,:,4) = eye(D);
dd(:,4) = zeros(D,1);

% simon
Trans(:,:,5) = eye(D);
dd(:,5) = zeros(D,1);

