function u = sample_u(pU)
% u = sample_u(pU)
% Draw a sample from U, given it's probabilities.

% Author: David Ross, Jan 2006.
% $Id: sample_u.m,v 1.1.1.1 2006/06/01 15:32:22 dross Exp $

% % independent Bernoulli U's
% u = pU > rand(size(pU));

%% multinomial U's
%if any((sum(pU,1)-1) > 10*eps)
%    error('probabilities must sum to 1');
%end

[J,T] = size(pU);
samp = sample_discrete2(pU,1);
u = zeros(J,T);
u(samp + (0:J:J*(T-1))) = 1;
